Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000217Core InformExtensionspublic2010-07-24 10:492010-10-28 00:30
Assigned Tograham 
Platformx86OSMac OS XOS Version10.5
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000217: Segmentation fault in ni triggered by lengthy extension documentation
DescriptionA segmentation fault that gave me some trouble hunting down 0000206. Hopefully the reduced form here is easier to debug with.

I am not familiar with the ni internals, so there may be other ways to see the problem besides an excess of documentation.

This is a very finicky bug; we must not only cause a memory violation, but a violation that makes the OS take notice. To confirm, the source text should be exactly as described (for example, a shorter name for the extension will mask the fault).
Minimal Source Text To Reproduce
The story file
- - - -
Include Very Verbosely Documented by John Doe.
There is a room.
Understand "devour [something]" or "[something]" or "consume [something]" 
as eating.
- - - -

Very Verbosely Documented.i7x
- - - -
Very Verbosely Documented by John Doe begins here.

Very Verbosely Documented ends here.


x x x x x ... [There must be at least 110268 occurrences of the word x on this line]

- - - -
Additional InformationI have no idea what category to use for this bug.

The backtrace is:

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_INVALID_ADDRESS at address: 0x01a4cffc
0x00012fc6 in Plugins__Parsing__Verbs__find_command ()
(gdb) bt
#0 0x00012fc6 in Plugins__Parsing__Verbs__find_command ()
#1 0x000d8cd0 in Plugins__Parsing__Verbs__find_or_create_command ()
#2 0x000d95e9 in understand_block ()
#3 0x000d9fc1 in understand_sentence ()
#4 0x000da115 in Plugins__Parsing__traverse ()
#5 0x0011aa20 in Config__Template__interpret ()
#6 0x0011c63c in main ()
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships

-  Notes
EmacsUser (manager)
2010-07-24 16:59

This is perhaps the issue mentioned in 0000206:0000298.
graham (administrator)
2010-09-21 15:23

I had to take this up to 500,000 words or so, but did eventually manage to duplicate this; it turned out to be an uninitialised variable on the stack which etc., etc. Fixed now.

I'm almost tempted to keep the extension, though. The documentation has a strangely soothing, hypnotic look, endless rows of perfect cross-stitches, page after page.

- Issue History
Date Modified Username Field Change
2010-07-24 10:49 EmacsUser New Issue
2010-07-24 11:48 jmcgrew Status new => acknowledged
2010-07-24 16:59 EmacsUser Note Added: 0000347
2010-09-21 15:23 graham Note Added: 0000567
2010-09-21 15:23 graham Status acknowledged => resolved
2010-09-21 15:23 graham Resolution open => fixed
2010-09-21 15:23 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker